- name: Install packages
  package:
    name:
      - powertop
    state: present

- name: Favor energy efficiency for hardware p-states
  when: hwpstate is defined and hwpstate and cores is defined
  template:
    src: "templates/{{ item.src }}.j2"
    dest: "{{ item.dest }}"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - src: energy_performance_preference.conf
      dest: /etc/tmpfiles.d/energy_performance_preference.conf

- name: Install tmpfiles.d configuration
  when: hwpstate is defined and hwpstate and cores is defined
  copy:
    src: "files/{{ item }}_tmpfiles.conf"
    dest: "/etc/tmpfiles.d/{{ item }}.conf"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - platform_profile

- name: Install scripts
  when: hwpstate is defined and hwpstate
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: 0755
    owner: root
    group: wheel
  loop:
    - src: cpu_set_perf_perc_linux_amd
      dest: /usr/local/bin/cpu_set_perf_perc
